Subject: RE: [Geopriv] Civic data types and whitespace

From: "Martin Thomson" <[email-masked]>
Date: Fri, 12 Aug 2005 16:14:35 +1000

Whitespace processing post validation would result in a need for
specification if implementations were to remain interoperable.  I don't
think that such an approach is necessary.  Using token is simple - it
ensures consistency without the need for extra application logic [*].

You have to be careful when using the word "restriction" in relation to XML
and schema - the meaning gets a little fuzzy.  More restriction is correct
from the schema and type definition sense.  However, the value space of the
two types are equivalent, so the word "restriction" doesn't apply in terms
of limiting options.  I wanted to be super-clear on that point.

Martin

[*] An application might not understand schema, but that is entirely a
problem for that application.

-----Original Message-----
From: Andrew Newton [mailto:[email-masked]] 
Sent: Thursday, 11 August 2005 8:59 PM
To: Thomson, Martin [WOLL:5500:EXCH]
Cc: GEOPRIV
Subject: Re: [Geopriv] Civic data types and whitespace

On Aug 10, 2005, at 11:38 PM, Martin Thomson wrote:
> My suggestion is that the first of the above is more often assumed
> to result in a value of "a b" than " a  b ".  The token type  
> enables this, but does not prevent the other.
Martin,

In other words, you want more restriction, right?  And this is so you  
do not have to do whitespace processing post xml validation, correct?

I'm asking because your original statement regarding equivalence by  
an xml processor seemed confusing to me.

-andy

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv